<div class="title">
    <h2 mat-dialog-title style="width: 100%; margin: 0">Create new News</h2>
    <button mat-icon-button aria-label="Close" mat-dialog-close style="margin: 10px 10px 0 0;">
        <mat-icon>close</mat-icon>
    </button>
</div>

<div mat-dialog-content [formGroup]="formGroup" class="grid" style="overflow: visible;">

    <mat-form-field style="grid-area: title;">
        <mat-label>Title</mat-label>
        <input matInput formControlName="title">
        <mat-error *ngIf="formGroup.get('title')!.value!.length != 0">Max length is {{Global.eventsNewsFormFieldsLength}} characters.</mat-error>
    </mat-form-field>

    <mat-form-field style="grid-area: description;">
        <mat-label>Description</mat-label>
        <textarea matInput formControlName="description" rows="5"></textarea>
        <mat-error *ngIf="formGroup.get('description')!.value!.length != 0">Max length is {{Global.textAreaFormFieldsLength}} characters.</mat-error>
    </mat-form-field>

    <app-upload-box
        style="grid-area: photo;" matInput
        [description]="'News Image'"
        [allowedTypes]="['png', 'jpeg', 'jpg', 'webp', 'svg']"
        [fileClass]="'news'"
        [form]="formGroup"
        [controlName]="'photo'"
        [defaultFile]="this.formGroup.get('photo')!.value!"
        (uploadStarted)="blockFormSubmit('photo')"
        (uploadFinished)="unblockFormSubmit('photo')"
        (fileNameReturn)="updateFile(this.formGroup, 'photo', $event.filename)"
    />
</div>

<div class="saveContainer">
    <mat-spinner
        #spinner
        [ngStyle]="{'display': spinnerVisible ? 'block' : 'none'}"
        style="width: 40px; margin-left: 20px;"
    ></mat-spinner>
    <button class="save" mat-button [disabled]="!formGroup.valid" (click)="save()" cdkFocusInitial>Create News</button>
</div>
